package nsdb;
final public class FeatureLocationListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.FeatureLocation[] value;

	public FeatureLocationListHolder ()
	{
	}
	public FeatureLocationListHolder (nsdb.FeatureLocation[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return FeatureLocationListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = FeatureLocationListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		FeatureLocationListHelper.write(out,value);
	}
}
